View Issue Details

IDProjectCategoryView StatusLast Update
0000046MAIDENSCore Applicationpublic2020-04-29 12:37
Reporteradministrator Assigned Toadministrator  
PriorityhighSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformAllOSWindows & macOS 
Product Version1.5 
Target Version1.5Fixed in Version1.5 
Summary0000046: Runtime Error when opening default project over unsaved project
DescriptionMAIDENS crashes when trying to load the default project via File -> New, and the current project has unsaved changes.
Steps To Reproduce1. Run MAIDENS from the IDE in Debug mode;
2. Make some changes to the project that opens. Don't save.
3. From the File menu, select "New".
4. Click "Yes" in the "Discard changes" dialog.
Result: Runtime Error.
Additional InformationThis is new to v. 1.5, and related to introducing the prompt dialogs. Loading the default project executes the same code responsible with loading a user selected project, which expects a file browser dialog to be opened. The crash occurs when the code tries to close the unexisting file browser dialog (because there is none involved with the File -> New command).
TagsOSX, score editing, Windows

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-04-27 17:00 administrator New Issue
2020-04-27 17:00 administrator Status new => assigned
2020-04-27 17:00 administrator Assigned To => administrator
2020-04-27 17:00 administrator Tag Attached: OSX
2020-04-27 17:00 administrator Tag Attached: score editing
2020-04-27 17:00 administrator Tag Attached: Windows
2020-04-28 23:10 administrator Severity major => crash
2020-04-29 12:37 administrator Status assigned => resolved
2020-04-29 12:37 administrator Resolution open => fixed
2020-04-29 12:37 administrator Fixed in Version => 1.5